# [−][src]Module test::bench

🔬 This is a nightly-only experimental API. (`test`)

Benchmarking module.

## Structs

BenchSamples | Experimental
Bencher | Experimental Manager of the benchmarking runs.

## Functions

benchmark | Experimental
black_box | Experimental An identity function that hints to the compiler to be maximally pessimistic about what `black_box` could do.
fmt_bench_samples | Experimental
iter | Experimental
run_once | Experimental